import java.io.*;
/**
* Simple Scanner driver
*/
public class ScanTest {
	/** 
	* Test harness for the Scanner class.
	* @param arg [0] pathname to scan.  If not specified, then the program
	* tries to scan "d/hello.d".
	* @throws IOException thrown if any IO errors occur during processing
	*/
	public static void main(String[] arg) throws IOException {
		Token t;
		String in = "d/hello.d";
		if (arg.length > 0) {
			in = arg[0];
		}
		CompilerIO io = new CompilerIO(in);
		io.setEchoing(true);
		io.setEchoPrefix(";;");
		Scanner scan = new Scanner(io);
		do {
			t = scan.nextToken();
			io.printAsmLine(t.toString());
		} while (t.getType() != Token.EOF);
		io.close();
	}
}

